NSF Data Research Project:
=========================

About
-----

Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign

Downloading NSF grants data from:
  * http://www.nsf.gov/awardsearch/download.jsp
  * Data XML Schema: http://www.nsf.gov/awardsearch/resources/Award.xsd

Requirements:
------------------
In order to run the code you need Python 2.7 version atleast.
Also you need to have the following python packages installed for the user running the code:
 * SQLAlchemy - http://sqlalchemy.org
 * BeautifulSoup4 - http://www.crummy.com/software/BeautifulSoup/
 * CGI
 * JSON
 * XML
 * CSV
 * ZIPFILE
 * xmltodict - https://github.com/martinblech/xmltodict


 Linking with Student Dissertations taken from:
 * http://worldcat.org

How To Use:
-----------
 * Unzip this tar file in the suitable folder.
 * Add the database scheme to the database using mysql -u <username> -p <dbname> < schema.sql
 * Install all dependencies specified in Requirements section.
 * Edit the settings.json file with the details for your DB connection. **Advanced users may change the directory names as well. But you need to create the respective directories in this folder.
 * Run the following commands in order. Each will take some hours to finish. Every command produces certain output for logging purposes which you may want to redirect to a file. Usual syntax for running each command with output in a log file is `<command> > <logfilename> &; tail -f <logfilename>`
 * `python downloadNSF.py`
 * `python unzip.py`
 * `python dbInterface.py -t n`
 * Above commands will update the database with the award info downloaded from NSF.gov
 * To update data for the publications use the following commands:
 * `python dbInterface.py -t p`
 * To update the collaboration database use the following command:
 * `python updateCollabTable.py`

 This will prepare all the data and put in the database specified in settings.json

