"""
Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign
"""

import xml2json
import os
import glob
import json

XML_DATA="./xml_data"
JSON_DATA="./json_data/"

def getFiles(folderPath):
  print folderPath
  files = glob.glob(folderPath+"/*.xml")
  print files
  return files
  
def convertToJSON(filePath):
  xml_data = open(filePath).read()
  print xml_data 
  json_data = xml2json.xml2json(xml_data)
  with open(JSON_DATA+os.path.basename(filePath), 'w+') as json_file:
    json.dump(json_data, json_file)
  return json_data

def convertAll(path):
  full_path = os.path.abspath(path)
  print full_path
  for root, folders, _ in os.walk(full_path):
    for foldername  in folders:
      for file_name in getFiles(os.path.join(root, foldername)):
        convertToJSON(file_name)

  return 0;

convertAll(XML_DATA)
