-- Project: NSF Award Data
-- Author: Shubhanshu Mishra <smishra8@illinois.edy>
-- NSF Grant ID: 1348742
-- NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
-- Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
-- Date: 12/9/2013
-- Copyright 2013, University of Illinois at Urbana-Champaign


-- MySQL dump 10.13  Distrib 5.1.49, for debian-linux-gnu (x86_64)
--
-- Host: <host>    Database: <username>
-- ------------------------------------------------------
-- Server version	5.1.49-3

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `award_pub_data`
--

DROP TABLE IF EXISTS `award_pub_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `award_pub_data` (
  `AwardID` varchar(10) NOT NULL,
  `PubResult` text,
  `PubConf` text,
  `ProjectOutcomesReport` text,
  `GrantType` varchar(30) DEFAULT NULL,
  `DUNSID` varchar(10) DEFAULT NULL,
  `ParentDUNSID` varchar(10) DEFAULT NULL,
  `AwardDetails` text,
  `AwardAbstract` text,
  `AwardeeOrg` varchar(300) DEFAULT NULL,
  `Businessname` varchar(300) DEFAULT NULL,
  `EstAmount` int(11) DEFAULT NULL,
  `UsedAmount` decimal(10,0) DEFAULT NULL,
  `CFDANumber` varchar(10) DEFAULT NULL,
  `Program` varchar(300) DEFAULT NULL,
  `AwardeeCity` varchar(100) DEFAULT NULL,
  `AwardeeState` varchar(3) DEFAULT NULL,
  `AwardeeCounty` varchar(30) DEFAULT NULL,
  `AwardeeZip` varchar(20) DEFAULT NULL,
  `AwardeeCountry` varchar(10) DEFAULT NULL,
  `PrimaryOrg` varchar(300) DEFAULT NULL,
  `PrimaryCity` varchar(100) DEFAULT NULL,
  `PrimaryState` varchar(3) DEFAULT NULL,
  `PrimaryCounty` varchar(30) DEFAULT NULL,
  `PrimaryZip` varchar(20) DEFAULT NULL,
  `PrimaryCountry` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`AwardID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `collaborative_grants`
--

DROP TABLE IF EXISTS `collaborative_grants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `collaborative_grants` (
  `CollabID` int(10) unsigned NOT NULL,
  `AwardID` varchar(10) NOT NULL,
  `AwardTitle` varchar(300) NOT NULL,
  PRIMARY KEY (`CollabID`,`AwardID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Collects all the collaborative research Award IDs';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `investigator_data`
--

DROP TABLE IF EXISTS `investigator_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `investigator_data` (
  `AwardID` varchar(10) NOT NULL,
  `RoleCode` tinyint(3) unsigned NOT NULL,
  `FirstName` varchar(50) DEFAULT NULL,
  `LastName` varchar(50) DEFAULT NULL,
  `EmailAddress` varchar(100) DEFAULT NULL,
  `StartDate` date DEFAULT NULL,
  `EndDate` date DEFAULT NULL,
  PRIMARY KEY (`AwardID`,`RoleCode`),
  KEY `AwardID` (`AwardID`),
  KEY `RoleCode` (`RoleCode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `nsf_grants`
--

DROP TABLE IF EXISTS `nsf_grants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsf_grants` (
  `AwardID` varchar(10) NOT NULL DEFAULT '0',
  `AwardTitle` varchar(300) DEFAULT NULL,
  `AwardEffectiveDate` date DEFAULT NULL,
  `AwardExpirationDate` date DEFAULT NULL,
  `AwardAmount` int(10) unsigned DEFAULT NULL,
  `AwardInstrument` varchar(50) DEFAULT NULL,
  `NSFOrganizationCode` varchar(10) DEFAULT NULL,
  `NSFDirectorate` varchar(200) DEFAULT NULL,
  `NSFDivision` varchar(200) DEFAULT NULL,
  `ProgramOfficer` varchar(50) DEFAULT NULL,
  `AbstractNarration` text,
  `MinAmdLetterDate` date DEFAULT NULL,
  `MaxAmdLetterDate` date DEFAULT NULL,
  `ARRAAmount` int(11) DEFAULT NULL,
  `PrincipalInvestigator` varchar(100) DEFAULT NULL,
  `PIEmailAddress` varchar(100) DEFAULT NULL,
  `CoPINames` varchar(200) DEFAULT NULL,
  `Institution` varchar(200) DEFAULT NULL,
  `InstitutionStreet` varchar(200) DEFAULT NULL,
  `InstitutionCity` varchar(20) DEFAULT NULL,
  `InstitutionState` varchar(50) DEFAULT NULL,
  `InstitutionCountry` varchar(50) DEFAULT NULL,
  `InstitutionZip` int(9) DEFAULT NULL,
  `InstitutionPhone` varchar(20) DEFAULT NULL,
  `ProgramElementCodes` varchar(50) DEFAULT NULL,
  `ProgramReferenceCodes` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`AwardID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_elements`
--

DROP TABLE IF EXISTS `program_elements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `program_elements` (
  `Code` varchar(6) NOT NULL,
  `Text` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`Code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_reference`
--

DROP TABLE IF EXISTS `program_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `program_reference` (
  `Code` varchar(6) NOT NULL,
  `Text` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`Code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pub_records`
--

DROP TABLE IF EXISTS `pub_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pub_records` (
  `AwardID` varchar(10) NOT NULL,
  `PubType` int(11) NOT NULL,
  `PubOrder` int(11) NOT NULL,
  `PubString` text,
  `PubTitle` text,
  `PubAuthors` text,
  `PubData` text,
  PRIMARY KEY (`AwardID`,`PubOrder`,`PubType`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Table to collect data for individual publication for each aw';
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-02-14 16:03:00
