"""
Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign
"""

import json

SETTINGS_FILE="settings.json"
SETTINGS = {}

def init():
  global SETTINGS
  global SETTINGS_FILE
  with open(SETTINGS_FILE) as settings_file:
    read_settings = settings_file.read()
    print read_settings
    SETTINGS = json.loads(read_settings)

def update(new_settings):
  global SETTINGS
  global SETTINGS_FILE

  for k in new_settings:
    SETTINGS[k]=new_settings[k]

  with open(SETTINGS_FILE, 'w') as settings_file:
    json.dump(SETTINGS, settings_file, sort_keys=True, indent=2)

  with open(SETTINGS_FILE) as settings_file:
    read_settings = settings_file.read()
    print read_settings
    SETTINGS = json.loads(read_settings)

  print "Update Success."
  return 0


if __name__ == "__main__":
  init()
  print SETTINGS
else:
  init()
