"""
Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign
"""

import zipfile
import glob
import os
from settings import *

def list_files(path):
    return glob.glob(SETTINGS['ZIP_DATA']+"*.zip")

def unzipFile(fileName, unzipTo):
    zfile = zipfile.ZipFile(fileName)
    unzipFolderPath = SETTINGS['XML_DATA']+unzipTo
    print "Unzipping {0} file to {1}".format(fileName, unzipFolderPath)
    zfile.extractall(unzipFolderPath)
    print "Unzipped to {0}.".format(unzipFolderPath)
    return 0
    
def unzipFileInfo(zfile):
  # zfile is a zipfile object
  all_file_info = []
  for content_file in zfile.infolist():
    all_file_info[content_file]['date_time'] = content_file['date_time']
  return all_file_info

def getFolderName(filePath):
    baseName = os.path.basename(filePath)
    return baseName.split('.')[0]

def unzipAll(path):
  zipFileList = list_files(path)
  print zipFileList
  for file_name in zipFileList:
    unzipFile(file_name, getFolderName(file_name))
  print "Unzip Success."
  return 0


# One can either unzip specific files or can unzip all files in specified folder
if __name__ == "__main__":
      import sys
      if len(sys.argv) > 1:
        for i in range(1, len(sys.argv)):
          unzipAll(sys.argv[i])
      else:
        unzipAll(SETTINGS['ZIP_DATA'])

