"""
Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign
"""

from dbInterface import *
from mappingClasses import AwardDB,CollaborativeGrantsDB 
from sqlalchemy import and_, func

def updateTable():
  collab_id = 0
  collab_count = 0
  for AwardTitle, AwardIDs in session.query(AwardDB.AwardTitle,\
      func.group_concat(AwardDB.AwardID)).\
      filter(and_(AwardDB.AwardTitle.like("Collaborative Research:%"))).\
      group_by(AwardDB.AwardTitle).\
      order_by(AwardDB.AwardEffectiveDate):
        collab_id += 1
        print "|\t%s\t|\t%s\t|\t%s\t|" %(collab_id, AwardTitle, AwardIDs)
        collab_count += addCollabObject({"AwardIDs": AwardIDs.split(','), "AwardTitle": AwardTitle,\
            "CollabID": collab_id})
        session.commit()
        print "%s collaborations added of title: %s" %(collab_count, AwardTitle)
  print "Collaborative DB updated."
  return 0

def addCollabObject(data):
  count = 0
  print data
  for AwardID in data["AwardIDs"]:
    collab_obj = CollaborativeGrantsDB({"AwardID": AwardID, "AwardTitle": data["AwardTitle"],\
        "CollabID": data["CollabID"]})
    session.merge(collab_obj)
    print collab_obj
    count += 1
  return count

if __name__ == "__main__":
  updateTable()
